ToolzerHub Docs

Detect language (v1)

Returns the language of up to 30,000 characters of text with a confidence from 0 to 1, plus every candidate the detector considered.

1 credit / requestBilled only on success
POST
/v1/google-translate/detect

Authorization

ApiKeyAuth
x-api-key<token>

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

curl -X POST "https://example.com/v1/google-translate/detect" \  -H "x-api-key: YOUR_API_KEY" \  -H "Content-Type: application/json" \  -d '{    "text": "¿Dónde está la biblioteca?"  }'
{  "data": {    "language": "es",    "language_name": "Spanish",    "confidence": 1,    "candidates": [      {        "language": "de",        "language_name": "German",        "confidence": 0.9397      }    ],    "characters": 26  },  "details": {    "reason": "string",    "message": "string"  }}